#ifndef CYC_CNT_H
#define CYC_CNT_H

/**
 * @brief read cycle counter
 * @return cycle counter value
 */
unsigned int cyc_cnt_read(void);

/**
 * @brief delay for a number of cycles
 * @param[in] cyc number of cycles
 */
void cyc_cnt_delay(unsigned int cyc);

/**
 * @brief delay for a number of microseconds
 * @param[in] us number of microseconds
 */
void cyc_cnt_delay_us(unsigned int us);

/**
 * @brief delay for a number of milliseconds
 * @param[in] ms number of milliseconds
 */
void cyc_cnt_delay_ms(unsigned int ms);

#endif /* #ifndef CYC_CNT_H */

