#ifndef SWITCHES_H
#define SWITCHES_H

/** switch identifier */
typedef enum e_switch {
  sw_0 = 0,
  sw_1 = 1,
  sw_2 = 2,
  sw_3 = 3,
  sw_east = 8,
  sw_north = 9,
  sw_south = 10,
  sw_west = 11,
  sw_center = 16,
  sw_rot_a = 24,
  sw_rot_b = 25
} t_switch;

/**
 * @brief get state of switch
 * @param[in] sw swich identifier
 * @return switch state
 */
int switches_get_state(t_switch sw);

/**
 * @brief get rotation counter of rotary switch
 * @return rotation counter
 */
unsigned int switches_get_rot_cnt(void);

#endif /* #ifndef SWITCHES_H */

